<template>
  <svg width="1440" height="634" viewBox="0 0 1440 634" fill="none"
       xmlns="http://www.w3.org/2000/svg"
       xmlns:xlink="http://www.w3.org/1999/xlink"
       :style="{'left': getLeftOffsetBg()}">

    <g>
      <path d="M661.5 -7.5L1413 744" stroke="#DDE3EC" stroke-width="10"/>
      <path d="M438 -7L1189.5 744.5" stroke="#DDE3EC" stroke-width="6"/>
      <path d="M826 -17L1577.5 734.5" stroke="#DDE3EC" stroke-width="10"/>
      <path d="M799 -107C1092.48 186.479 1774.5 474.5 1774.5 474.5" stroke="#DDE3EC" stroke-width="6"/>
      <path d="M1548.5 102L797 853.5" stroke="#DDE3EC" stroke-width="10"/>
      <path d="M1151.5 -23L400 728.5" stroke="#DDE3EC" stroke-width="6"/>
      <path d="M1299.5 -16L548 735.5" stroke="#DDE3EC" stroke-width="10"/>
      <path d="M1466.5 73L715 824.5" stroke="#DDE3EC" stroke-width="10"/>
      <path d="M1106 290L1083 313L1038 268L1061 245L1106 290Z" fill="#DDE3EC"/>
      <path d="M1165 259L1142 282L1081 221L1104 198L1165 259Z" fill="#DDE3EC"/>
      <path d="M810 305L787 328L742 283L765 260L810 305Z" fill="#DDE3EC"/>
      <path d="M838 277L815 300L770 255L793 232L838 277Z" fill="#DDE3EC"/>
      <path d="M883 233L844 272L799 227L838 188L883 233Z" fill="#DDE3EC"/>
      <path d="M1057 300L1024 333L999 308L1032 275L1057 300Z" fill="#DDE3EC"/>
      <path d="M880 354L847 387L802 342L835 309L880 354Z" fill="#DDE3EC"/>
      <path d="M921 275L868 328L843 303L896 250L921 275Z" fill="#DDE3EC"/>
      <path d="M925 338L902 361L887 346L910 323L925 338Z" fill="#DDE3EC"/>
      <path d="M955 308L932 331L917 316L940 293L955 308Z" fill="#DDE3EC"/>
      <path d="M1085 436L992 529L957 494L1050 401L1085 436Z" fill="#DDE3EC"/>
      <path d="M1139 492L1096 535L1061 500L1104 457L1139 492Z" fill="#DDE3EC"/>
      <path d="M1183 448L1160 471L1125 436L1148 413L1183 448Z" fill="#DDE3EC"/>
      <path d="M1206 385L1169 422L1154 407L1191 370L1206 385Z" fill="#DDE3EC"/>
      <path d="M1243 346L1226 363L1211 348L1228 331L1243 346Z" fill="#DDE3EC"/>
      <path d="M1260 317L1243 334L1234 325L1251 308L1260 317Z" fill="#DDE3EC"/>
      <path d="M1282 295L1265 312L1256 303L1273 286L1282 295Z" fill="#DDE3EC"/>
      <path d="M1307 325L1270 362L1255 347L1292 310L1307 325Z" fill="#DDE3EC"/>
      <path d="M1350 282L1311 321L1296 306L1331 271L1350 282Z" fill="#DDE3EC"/>
      <path d="M1265 368L1248 385L1230 367L1247 350L1265 368Z" fill="#DDE3EC"/>
      <path d="M1032 384L1009 407L954 352L977 329L1032 384Z" fill="#DDE3EC"/>
      <path opacity="0.6" d="M1205 554L1172 587L1127 542L1160 509L1205 554Z" fill="#DDE3EC"/>
      <path d="M1076 339L1053 362L1030 339L1053 316L1076 339Z" fill="#DDE3EC"/>
      <path d="M1213 307L1190 330L1147 287L1170 264L1213 307Z" fill="#DDE3EC"/>
      <path d="M1243 145L1210 178L1157 145L1200 102L1243 145Z" fill="#DDE3EC"/>
      <path d="M1292 195L1274 213L1219 182L1249 152L1292 195Z" fill="#DDE3EC"/>
      <path d="M1240 279L1217 302L1194 279L1217 256L1240 279Z" fill="#DDE3EC"/>
      <path d="M1276 243L1245 274L1222 251L1247 225L1276 243Z" fill="#DDE3EC"/>
      <path d="M1238 220L1214 244L1191 221L1209 202L1238 220Z" fill="#DDE3EC"/>
      <path d="M1201 197L1184 214L1161 191L1172 179L1201 197Z" fill="#DDE3EC"/>
      <g filter="url(#filter0_dddddd)">
        <path
          d="M1083.34 546.657L1051.66 578.343C1048.53 581.467 1043.47 581.467 1040.34 578.343L1016.66 554.657C1013.53 551.533 1013.53 546.467 1016.66 543.343L1048.34 511.657C1051.47 508.533 1056.53 508.533 1059.66 511.657L1083.34 535.343C1086.47 538.467 1086.47 543.533 1083.34 546.657Z"
          fill="#F6F8FB"/>
        <path
          d="M1082.99 546.303L1051.3 577.99C1048.37 580.919 1043.63 580.919 1040.7 577.99L1017.01 554.303C1014.08 551.374 1014.08 546.626 1017.01 543.697L1048.7 512.01C1051.63 509.081 1056.37 509.081 1059.3 512.01L1082.99 535.697C1085.92 538.626 1085.92 543.374 1082.99 546.303Z"
          stroke="white" stroke-opacity="0.4"/>
      </g>
      <g filter="url(#filter1_dddddd)">
        <path
          d="M979.343 418.657L937.657 460.343C934.533 463.467 929.467 463.467 926.343 460.343L892.657 426.657C889.533 423.533 889.533 418.467 892.657 415.343L934.343 373.657C937.467 370.533 942.533 370.533 945.657 373.657L979.343 407.343C982.467 410.467 982.467 415.533 979.343 418.657Z"
          fill="#F6F8FB"/>
        <path
          d="M978.99 418.303L937.303 459.99C934.374 462.919 929.626 462.919 926.697 459.99L893.01 426.303C890.081 423.374 890.081 418.626 893.01 415.697L934.697 374.01C937.626 371.081 942.374 371.081 945.303 374.01L978.99 407.697C981.919 410.626 981.919 415.374 978.99 418.303Z"
          stroke="white" stroke-opacity="0.4"/>
      </g>
      <g filter="url(#filter2_dddddd)">
        <path
          d="M1161.34 355.657L1109.66 407.343C1106.53 410.467 1101.47 410.467 1098.34 407.343L1064.66 373.657C1061.53 370.533 1061.53 365.467 1064.66 362.343L1116.34 310.657C1119.47 307.533 1124.53 307.533 1127.66 310.657L1161.34 344.343C1164.47 347.467 1164.47 352.533 1161.34 355.657Z"
          fill="#F6F8FB"/>
        <path
          d="M1160.99 355.303L1109.3 406.99C1106.37 409.919 1101.63 409.919 1098.7 406.99L1065.01 373.303C1062.08 370.374 1062.08 365.626 1065.01 362.697L1116.7 311.01C1119.63 308.081 1124.37 308.081 1127.3 311.01L1160.99 344.697C1163.92 347.626 1163.92 352.374 1160.99 355.303Z"
          stroke="white" stroke-opacity="0.4"/>
      </g>
      <g filter="url(#filter3_di)" class="animate-first">
        <circle opacity="0.1" cx="1113" cy="359" r="12" fill="url(#paint1_linear)"/>
        <circle cx="1113" cy="359" r="5" fill="url(#paint2_linear)"/>
      </g>
      <g filter="url(#filter4_di)" class="animate-first">
        <circle opacity="0.1" cx="1050" cy="545" r="12" fill="url(#paint3_linear)"/>
        <circle cx="1050" cy="545" r="5" fill="url(#paint4_linear)"/>
      </g>
      <g filter="url(#filter5_di)" class="animate-first">
        <circle opacity="0.1" cx="936" cy="417" r="12" fill="url(#paint5_linear)"/>
        <circle cx="936" cy="417" r="5" fill="url(#paint6_linear)"/>
      </g>
      <clipPath id="mask1" x="749" y="305" width="175" height="100">
        <rect x="749" y="305" width="175" height="100" rx="4" fill="#365EC2"/>
      </clipPath>
      <g clip-path="url(#mask1)" class="animate-second">
        <rect x="728" y="245" width="216" height="196" fill="url(#pattern0)"/>
        <rect opacity="0.16" x="749" y="305" width="175" height="100" rx="4" fill="#050F26"/>
        <path opacity="0.4"
              d="M759 371C759 368.791 760.791 367 763 367H828C830.209 367 832 368.791 832 371V391C832 393.209 830.209 395 828 395H763C760.791 395 759 393.209 759 391V371Z"
              fill="#050F26"/>
        <path
          d="M772.864 385.084C772.216 385.084 771.632 384.944 771.112 384.664C770.592 384.384 770.184 383.996 769.888 383.5C769.6 382.996 769.456 382.428 769.456 381.796C769.456 381.164 769.6 380.6 769.888 380.104C770.184 379.608 770.592 379.22 771.112 378.94C771.632 378.66 772.216 378.52 772.864 378.52C773.52 378.52 774.108 378.66 774.628 378.94C775.148 379.22 775.552 379.608 775.84 380.104C776.136 380.6 776.284 381.164 776.284 381.796C776.284 382.428 776.136 382.996 775.84 383.5C775.552 383.996 775.148 384.384 774.628 384.664C774.108 384.944 773.52 385.084 772.864 385.084ZM772.864 383.8C773.416 383.8 773.872 383.616 774.232 383.248C774.592 382.88 774.772 382.396 774.772 381.796C774.772 381.196 774.592 380.712 774.232 380.344C773.872 379.976 773.416 379.792 772.864 379.792C772.312 379.792 771.856 379.976 771.496 380.344C771.144 380.712 770.968 381.196 770.968 381.796C770.968 382.396 771.144 382.88 771.496 383.248C771.856 383.616 772.312 383.8 772.864 383.8ZM782.607 379.864H780.363V385H778.863V379.864H776.607V378.592H782.607V379.864ZM791.98 380.584C792.42 380.784 792.756 381.056 792.988 381.4C793.228 381.736 793.348 382.132 793.348 382.588C793.348 383.1 793.204 383.548 792.916 383.932C792.636 384.316 792.236 384.612 791.716 384.82C791.196 385.02 790.592 385.12 789.904 385.12C789.216 385.12 788.612 385.02 788.092 384.82C787.58 384.612 787.184 384.316 786.904 383.932C786.624 383.548 786.484 383.1 786.484 382.588C786.484 382.132 786.6 381.736 786.832 381.4C787.064 381.056 787.396 380.784 787.828 380.584C787.492 380.4 787.232 380.16 787.048 379.864C786.872 379.56 786.784 379.212 786.784 378.82C786.784 378.348 786.912 377.936 787.168 377.584C787.432 377.232 787.8 376.96 788.272 376.768C788.744 376.576 789.288 376.48 789.904 376.48C790.528 376.48 791.076 376.576 791.548 376.768C792.02 376.96 792.388 377.232 792.652 377.584C792.916 377.936 793.048 378.348 793.048 378.82C793.048 379.212 792.956 379.556 792.772 379.852C792.588 380.148 792.324 380.392 791.98 380.584ZM789.904 377.704C789.416 377.704 789.028 377.808 788.74 378.016C788.46 378.224 788.32 378.516 788.32 378.892C788.32 379.252 788.46 379.54 788.74 379.756C789.028 379.964 789.416 380.068 789.904 380.068C790.4 380.068 790.792 379.964 791.08 379.756C791.368 379.54 791.512 379.252 791.512 378.892C791.512 378.516 791.364 378.224 791.068 378.016C790.78 377.808 790.392 377.704 789.904 377.704ZM789.904 383.896C790.48 383.896 790.936 383.776 791.272 383.536C791.608 383.296 791.776 382.964 791.776 382.54C791.776 382.124 791.608 381.796 791.272 381.556C790.936 381.316 790.48 381.196 789.904 381.196C789.328 381.196 788.876 381.316 788.548 381.556C788.22 381.796 788.056 382.124 788.056 382.54C788.056 382.964 788.22 383.296 788.548 383.536C788.876 383.776 789.328 383.896 789.904 383.896ZM798.176 379.816C798.728 379.816 799.224 379.924 799.664 380.14C800.104 380.348 800.448 380.648 800.696 381.04C800.944 381.432 801.068 381.884 801.068 382.396C801.068 382.94 800.932 383.42 800.66 383.836C800.388 384.244 800.02 384.56 799.556 384.784C799.092 385.008 798.572 385.12 797.996 385.12C796.844 385.12 795.948 384.76 795.308 384.04C794.676 383.32 794.36 382.288 794.36 380.944C794.36 380 794.532 379.196 794.876 378.532C795.22 377.86 795.7 377.352 796.316 377.008C796.94 376.656 797.66 376.48 798.476 376.48C798.908 376.48 799.312 376.528 799.688 376.624C800.072 376.712 800.404 376.844 800.684 377.02L800.108 378.196C799.692 377.924 799.16 377.788 798.512 377.788C797.704 377.788 797.072 378.036 796.616 378.532C796.16 379.028 795.932 379.744 795.932 380.68V380.692C796.18 380.404 796.496 380.188 796.88 380.044C797.264 379.892 797.696 379.816 798.176 379.816ZM797.912 383.896C798.4 383.896 798.796 383.768 799.1 383.512C799.404 383.248 799.556 382.9 799.556 382.468C799.556 382.028 799.404 381.68 799.1 381.424C798.796 381.168 798.388 381.04 797.876 381.04C797.372 381.04 796.96 381.176 796.64 381.448C796.328 381.72 796.172 382.064 796.172 382.48C796.172 382.888 796.324 383.228 796.628 383.5C796.94 383.764 797.368 383.896 797.912 383.896ZM805.387 385.12C804.715 385.12 804.115 384.952 803.587 384.616C803.059 384.272 802.643 383.776 802.339 383.128C802.035 382.472 801.883 381.696 801.883 380.8C801.883 379.904 802.035 379.132 802.339 378.484C802.643 377.828 803.059 377.332 803.587 376.996C804.115 376.652 804.715 376.48 805.387 376.48C806.059 376.48 806.659 376.652 807.187 376.996C807.723 377.332 808.143 377.828 808.447 378.484C808.751 379.132 808.903 379.904 808.903 380.8C808.903 381.696 808.751 382.472 808.447 383.128C808.143 383.776 807.723 384.272 807.187 384.616C806.659 384.952 806.059 385.12 805.387 385.12ZM805.387 383.764C805.987 383.764 806.459 383.516 806.803 383.02C807.155 382.524 807.331 381.784 807.331 380.8C807.331 379.816 807.155 379.076 806.803 378.58C806.459 378.084 805.987 377.836 805.387 377.836C804.795 377.836 804.323 378.084 803.971 378.58C803.627 379.076 803.455 379.816 803.455 380.8C803.455 381.784 803.627 382.524 803.971 383.02C804.323 383.516 804.795 383.764 805.387 383.764ZM815.866 382.228V382.912H818.506V383.752H815.866V385H814.306V383.752H813.106V382.912H814.306V376.6H817.762C818.882 376.6 819.754 376.84 820.378 377.32C821.01 377.8 821.326 378.5 821.326 379.42C821.326 380.332 821.01 381.028 820.378 381.508C819.754 381.988 818.882 382.228 817.762 382.228H815.866ZM819.754 379.432C819.754 378.944 819.582 378.572 819.238 378.316C818.894 378.052 818.398 377.92 817.75 377.92H815.866V380.968H817.75C818.39 380.968 818.882 380.836 819.226 380.572C819.578 380.3 819.754 379.92 819.754 379.432Z"
          fill="white"/>
      </g>
      <clipPath id="mask2" x="1125" y="247" width="175" height="100">
        <rect x="1125" y="247" width="175" height="100" rx="4" fill="#365EC2"/>
      </clipPath>
      <g clip-path="url(#mask2)" class="animate-second">
        <rect x="1105" y="135" width="207" height="310" fill="url(#pattern1)"/>
        <rect opacity="0.16" x="1125" y="247" width="175" height="100" rx="4" fill="#050F26"/>
        <path opacity="0.4"
              d="M1135 313C1135 310.791 1136.79 309 1139 309H1203C1205.21 309 1207 310.791 1207 313V333C1207 335.209 1205.21 337 1203 337H1139C1136.79 337 1135 335.209 1135 333V313Z"
              fill="#050F26"/>
        <path
          d="M1148.86 327.084C1148.22 327.084 1147.63 326.944 1147.11 326.664C1146.59 326.384 1146.18 325.996 1145.89 325.5C1145.6 324.996 1145.46 324.428 1145.46 323.796C1145.46 323.164 1145.6 322.6 1145.89 322.104C1146.18 321.608 1146.59 321.22 1147.11 320.94C1147.63 320.66 1148.22 320.52 1148.86 320.52C1149.52 320.52 1150.11 320.66 1150.63 320.94C1151.15 321.22 1151.55 321.608 1151.84 322.104C1152.14 322.6 1152.28 323.164 1152.28 323.796C1152.28 324.428 1152.14 324.996 1151.84 325.5C1151.55 325.996 1151.15 326.384 1150.63 326.664C1150.11 326.944 1149.52 327.084 1148.86 327.084ZM1148.86 325.8C1149.42 325.8 1149.87 325.616 1150.23 325.248C1150.59 324.88 1150.77 324.396 1150.77 323.796C1150.77 323.196 1150.59 322.712 1150.23 322.344C1149.87 321.976 1149.42 321.792 1148.86 321.792C1148.31 321.792 1147.86 321.976 1147.5 322.344C1147.14 322.712 1146.97 323.196 1146.97 323.796C1146.97 324.396 1147.14 324.88 1147.5 325.248C1147.86 325.616 1148.31 325.8 1148.86 325.8ZM1158.61 321.864H1156.36V327H1154.86V321.864H1152.61V320.592H1158.61V321.864ZM1168.87 318.6V319.644L1165.6 327H1163.94L1167.09 319.92H1163.79V321.348H1162.34V318.6H1168.87ZM1175.92 325.68V327H1169.72V325.956L1173.06 322.788C1173.44 322.428 1173.69 322.116 1173.82 321.852C1173.95 321.58 1174.02 321.312 1174.02 321.048C1174.02 320.656 1173.89 320.356 1173.62 320.148C1173.36 319.94 1172.97 319.836 1172.46 319.836C1171.6 319.836 1170.95 320.128 1170.49 320.712L1169.4 319.872C1169.73 319.432 1170.17 319.092 1170.72 318.852C1171.28 318.604 1171.9 318.48 1172.59 318.48C1173.5 318.48 1174.23 318.696 1174.78 319.128C1175.32 319.56 1175.59 320.148 1175.59 320.892C1175.59 321.348 1175.5 321.776 1175.3 322.176C1175.11 322.576 1174.74 323.032 1174.2 323.544L1171.96 325.68H1175.92ZM1180.29 327.12C1179.61 327.12 1179.01 326.952 1178.49 326.616C1177.96 326.272 1177.54 325.776 1177.24 325.128C1176.93 324.472 1176.78 323.696 1176.78 322.8C1176.78 321.904 1176.93 321.132 1177.24 320.484C1177.54 319.828 1177.96 319.332 1178.49 318.996C1179.01 318.652 1179.61 318.48 1180.29 318.48C1180.96 318.48 1181.56 318.652 1182.09 318.996C1182.62 319.332 1183.04 319.828 1183.35 320.484C1183.65 321.132 1183.8 321.904 1183.8 322.8C1183.8 323.696 1183.65 324.472 1183.35 325.128C1183.04 325.776 1182.62 326.272 1182.09 326.616C1181.56 326.952 1180.96 327.12 1180.29 327.12ZM1180.29 325.764C1180.89 325.764 1181.36 325.516 1181.7 325.02C1182.05 324.524 1182.23 323.784 1182.23 322.8C1182.23 321.816 1182.05 321.076 1181.7 320.58C1181.36 320.084 1180.89 319.836 1180.29 319.836C1179.69 319.836 1179.22 320.084 1178.87 320.58C1178.53 321.076 1178.35 321.816 1178.35 322.8C1178.35 323.784 1178.53 324.524 1178.87 325.02C1179.22 325.516 1179.69 325.764 1180.29 325.764ZM1190.76 324.228V324.912H1193.4V325.752H1190.76V327H1189.2V325.752H1188V324.912H1189.2V318.6H1192.66C1193.78 318.6 1194.65 318.84 1195.28 319.32C1195.91 319.8 1196.22 320.5 1196.22 321.42C1196.22 322.332 1195.91 323.028 1195.28 323.508C1194.65 323.988 1193.78 324.228 1192.66 324.228H1190.76ZM1194.65 321.432C1194.65 320.944 1194.48 320.572 1194.14 320.316C1193.79 320.052 1193.3 319.92 1192.65 319.92H1190.76V322.968H1192.65C1193.29 322.968 1193.78 322.836 1194.12 322.572C1194.48 322.3 1194.65 321.92 1194.65 321.432Z"
          fill="white"/>
      </g>
      <clipPath id="mask3" x="1062" y="433" width="175" height="100">
        <rect x="1062" y="433" width="175" height="100" rx="4" fill="#365EC2"/>
      </clipPath>
      <g clip-path="url(#mask3)" class="animate-second">
        <rect x="1038" y="409.874" width="223" height="147.253" fill="url(#pattern2)"/>
        <rect opacity="0.16" x="1062" y="433" width="175" height="100" rx="4" fill="#050F26"/>
        <path opacity="0.4"
              d="M1072 499C1072 496.791 1073.79 495 1076 495H1138C1140.21 495 1142 496.791 1142 499V519C1142 521.209 1140.21 523 1138 523H1076C1073.79 523 1072 521.209 1072 519V499Z"
              fill="#050F26"/>
        <path
          d="M1085.86 513.084C1085.22 513.084 1084.63 512.944 1084.11 512.664C1083.59 512.384 1083.18 511.996 1082.89 511.5C1082.6 510.996 1082.46 510.428 1082.46 509.796C1082.46 509.164 1082.6 508.6 1082.89 508.104C1083.18 507.608 1083.59 507.22 1084.11 506.94C1084.63 506.66 1085.22 506.52 1085.86 506.52C1086.52 506.52 1087.11 506.66 1087.63 506.94C1088.15 507.22 1088.55 507.608 1088.84 508.104C1089.14 508.6 1089.28 509.164 1089.28 509.796C1089.28 510.428 1089.14 510.996 1088.84 511.5C1088.55 511.996 1088.15 512.384 1087.63 512.664C1087.11 512.944 1086.52 513.084 1085.86 513.084ZM1085.86 511.8C1086.42 511.8 1086.87 511.616 1087.23 511.248C1087.59 510.88 1087.77 510.396 1087.77 509.796C1087.77 509.196 1087.59 508.712 1087.23 508.344C1086.87 507.976 1086.42 507.792 1085.86 507.792C1085.31 507.792 1084.86 507.976 1084.5 508.344C1084.14 508.712 1083.97 509.196 1083.97 509.796C1083.97 510.396 1084.14 510.88 1084.5 511.248C1084.86 511.616 1085.31 511.8 1085.86 511.8ZM1095.61 507.864H1093.36V513H1091.86V507.864H1089.61V506.592H1095.61V507.864ZM1103.35 507.816C1103.9 507.816 1104.4 507.924 1104.84 508.14C1105.28 508.348 1105.62 508.648 1105.87 509.04C1106.12 509.432 1106.24 509.884 1106.24 510.396C1106.24 510.94 1106.1 511.42 1105.83 511.836C1105.56 512.244 1105.19 512.56 1104.73 512.784C1104.26 513.008 1103.74 513.12 1103.17 513.12C1102.02 513.12 1101.12 512.76 1100.48 512.04C1099.85 511.32 1099.53 510.288 1099.53 508.944C1099.53 508 1099.7 507.196 1100.05 506.532C1100.39 505.86 1100.87 505.352 1101.49 505.008C1102.11 504.656 1102.83 504.48 1103.65 504.48C1104.08 504.48 1104.48 504.528 1104.86 504.624C1105.24 504.712 1105.58 504.844 1105.86 505.02L1105.28 506.196C1104.86 505.924 1104.33 505.788 1103.68 505.788C1102.88 505.788 1102.24 506.036 1101.79 506.532C1101.33 507.028 1101.1 507.744 1101.1 508.68V508.692C1101.35 508.404 1101.67 508.188 1102.05 508.044C1102.44 507.892 1102.87 507.816 1103.35 507.816ZM1103.08 511.896C1103.57 511.896 1103.97 511.768 1104.27 511.512C1104.58 511.248 1104.73 510.9 1104.73 510.468C1104.73 510.028 1104.58 509.68 1104.27 509.424C1103.97 509.168 1103.56 509.04 1103.05 509.04C1102.54 509.04 1102.13 509.176 1101.81 509.448C1101.5 509.72 1101.34 510.064 1101.34 510.48C1101.34 510.888 1101.5 511.228 1101.8 511.5C1102.11 511.764 1102.54 511.896 1103.08 511.896ZM1109.96 504.6V513H1108.4V505.908H1106.62V504.6H1109.96ZM1115.13 513.12C1114.46 513.12 1113.86 512.952 1113.33 512.616C1112.8 512.272 1112.39 511.776 1112.08 511.128C1111.78 510.472 1111.63 509.696 1111.63 508.8C1111.63 507.904 1111.78 507.132 1112.08 506.484C1112.39 505.828 1112.8 505.332 1113.33 504.996C1113.86 504.652 1114.46 504.48 1115.13 504.48C1115.8 504.48 1116.4 504.652 1116.93 504.996C1117.47 505.332 1117.89 505.828 1118.19 506.484C1118.49 507.132 1118.65 507.904 1118.65 508.8C1118.65 509.696 1118.49 510.472 1118.19 511.128C1117.89 511.776 1117.47 512.272 1116.93 512.616C1116.4 512.952 1115.8 513.12 1115.13 513.12ZM1115.13 511.764C1115.73 511.764 1116.2 511.516 1116.55 511.02C1116.9 510.524 1117.07 509.784 1117.07 508.8C1117.07 507.816 1116.9 507.076 1116.55 506.58C1116.2 506.084 1115.73 505.836 1115.13 505.836C1114.54 505.836 1114.07 506.084 1113.71 506.58C1113.37 507.076 1113.2 507.816 1113.2 508.8C1113.2 509.784 1113.37 510.524 1113.71 511.02C1114.07 511.516 1114.54 511.764 1115.13 511.764ZM1125.61 510.228V510.912H1128.25V511.752H1125.61V513H1124.05V511.752H1122.85V510.912H1124.05V504.6H1127.5C1128.62 504.6 1129.5 504.84 1130.12 505.32C1130.75 505.8 1131.07 506.5 1131.07 507.42C1131.07 508.332 1130.75 509.028 1130.12 509.508C1129.5 509.988 1128.62 510.228 1127.5 510.228H1125.61ZM1129.5 507.432C1129.5 506.944 1129.32 506.572 1128.98 506.316C1128.64 506.052 1128.14 505.92 1127.49 505.92H1125.61V508.968H1127.49C1128.13 508.968 1128.62 508.836 1128.97 508.572C1129.32 508.3 1129.5 507.92 1129.5 507.432Z"
          fill="white"/>
      </g>
    </g>
    <defs>
      <filter id="filter0_dddddd" x="990.314" y="485.314" width="113.373" height="113.373"
              filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 0.6 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect1_dropShadow" result="effect2_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect2_dropShadow" result="effect3_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect3_dropShadow" result="effect4_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="5"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect4_dropShadow" result="effect5_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.836111 0 0 0 0 0.860995 0 0 0 0 0.895833 0 0 0 0.14 0"/>
        <feBlend mode="normal" in2="effect5_dropShadow" result="effect6_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow" result="shape"/>
      </filter>
      <filter id="filter1_dddddd" x="866.314" y="347.314" width="133.373" height="133.373"
              filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 0.6 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect1_dropShadow" result="effect2_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect2_dropShadow" result="effect3_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect3_dropShadow" result="effect4_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="5"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect4_dropShadow" result="effect5_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.836111 0 0 0 0 0.860995 0 0 0 0 0.895833 0 0 0 0.14 0"/>
        <feBlend mode="normal" in2="effect5_dropShadow" result="effect6_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow" result="shape"/>
      </filter>
      <filter id="filter2_dddddd" x="1038.31" y="284.314" width="143.373" height="143.373"
              filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 0.6 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect1_dropShadow" result="effect2_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect2_dropShadow" result="effect3_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect3_dropShadow" result="effect4_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="5"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect4_dropShadow" result="effect5_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.836111 0 0 0 0 0.860995 0 0 0 0 0.895833 0 0 0 0.14 0"/>
        <feBlend mode="normal" in2="effect5_dropShadow" result="effect6_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow" result="shape"/>
      </filter>
      <filter id="filter3_di" x="1088" y="334" width="70" height="70" filterUnits="userSpaceOnUse"
              color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="15"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.360784 0 0 0 0 0.776471 0 0 0 0 0.721569 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
                       result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <filter id="filter4_di" x="1025" y="520" width="70" height="70" filterUnits="userSpaceOnUse"
              color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="15"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.360784 0 0 0 0 0.776471 0 0 0 0 0.721569 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
                       result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <filter id="filter5_di" x="911" y="392" width="70" height="70" filterUnits="userSpaceOnUse"
              color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="15"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.360784 0 0 0 0 0.776471 0 0 0 0 0.721569 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
                       result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <pattern id="pattern0" patternContentUnits="objectBoundingBox" width="1" height="1">
        <use xlink:href="#image0" transform="translate(0 0.1) scale(0.000336814)"/>
      </pattern>
      <pattern id="pattern1" patternContentUnits="objectBoundingBox" width="1" height="1">
        <use xlink:href="#image1" transform="translate(0 -0.000745325) scale(0.000366166 0.000244505)"/>
      </pattern>
      <pattern id="pattern2" patternContentUnits="objectBoundingBox" width="1" height="1">
        <use xlink:href="#image2" transform="translate(-0.000628359) scale(0.00025946 0.000392927)"/>
      </pattern>
      <linearGradient id="paint0_linear" x1="720" y1="0" x2="720" y2="633" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#F4F7FA"/>
        <stop offset="0.161458" stop-color="#F4F7FA" stop-opacity="0.86"/>
        <stop offset="0.489583" stop-color="#F4F7FA" stop-opacity="0"/>
        <stop offset="0.822917" stop-color="#F4F7FA" stop-opacity="0.78"/>
        <stop offset="1" stop-color="#F4F7FA"/>
      </linearGradient>
      <linearGradient id="paint1_linear" x1="1101" y1="347" x2="1126.73" y2="349.022" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint2_linear" x1="1108" y1="354" x2="1118.72" y2="354.843" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint3_linear" x1="1038" y1="533" x2="1063.73" y2="535.022" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint4_linear" x1="1045" y1="540" x2="1055.72" y2="540.843" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint5_linear" x1="924" y1="405" x2="949.728" y2="407.022" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint6_linear" x1="931" y1="412" x2="941.72" y2="412.843" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint7_linear" x1="749" y1="305" x2="934.251" y2="330.484" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint8_linear" x1="1125" y1="247" x2="1310.25" y2="272.484" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint9_linear" x1="1062" y1="433" x2="1247.25" y2="458.484" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <image id="image0" width="2969" height="2734" xlink:href="/images/card1.jpg"/>
      <image id="image1" width="2731" height="4096" xlink:href="/images/card2.jpg"/>
      <image id="image2" width="3859" height="2545" xlink:href="/images/card3.jpg"/>
    </defs>
  </svg>

</template>

<script>
  export default {
    name: "FirstStepBg",
    data: () => ({
      windowWidth: 0
    }),
    mounted() {
      this.$nextTick(() => {
        setTimeout(() => {
          if (this.checkTopOffset()) {
            this.$el.classList.add('animate');
          }
        }, 100)
      });

      window.addEventListener('scroll', this.onScroll);
      window.addEventListener('resize', this.onResize);
    },
    beforeDestroy() {
      window.removeEventListener('scroll', this.onScroll);
      window.removeEventListener('resize', this.onResize);
    },
    methods: {
      onResize() {
        this.windowWidth = window.innerWidth;
      },

      onScroll() {
        if (this.checkTopOffset()) {
          this.$el.classList.add('animate');
        } else {
          this.$el.classList.remove('animate');
        }
      },

      checkTopOffset() {
        return (window.innerHeight - this.$el.getBoundingClientRect().top) > this.$el.getBoundingClientRect().height * 0.8
      },

      getLeftOffsetBg() {
        // return this.windowWidth < 1440
        //   ? this.windowWidth > 1299
        //     ? `${(1440 - this.windowWidth) / 5.25}px`
        //     : this.windowWidth > 500
        //       ? `2rem`
        //       : `-45rem`
        //   : 0;

        return this.windowWidth < 1440
          ? this.windowWidth > 1299
            ? `${(1440 - this.windowWidth) / 5.25}px`
            : `2rem`
          : 0;
      },
    }
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .animate-first {
    transition: all .15s;
    transition-delay: .15s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-second {
    transition: all .5s;
    transition-delay: .5s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate {
    .animate-card {
      opacity: 1;
      transform: none;
    }
  }

</style>
